Bug 429760 - Review Request: dbus-qt3 - Qt3 DBus Bindings
Review Request: dbus-qt3 - Qt3 DBus Bindings
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dennis Gilmore
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-22 16:55 EST by Rex Dieter
Modified: 2008-01-28 10:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-28 10:57:58 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dennis: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rex Dieter 2008-01-22 16:55:20 EST
Spec URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/dbus-qt3/dbus-qt3.spec
SRPM URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/dbus-qt3/dbus-qt3-0.8-1.src.rpm
Description:
This library provides Qt3-classes for accessing the DBus.


No, not a dup of existing dbus-qt, these are new incompatible qt3 bindings backported from the qt4-based ones.  This is needed for some new(er) packages, including knetworkmanager >= 0.7

Upstream tarball is named libdbus-1-qt3, so that's something to consider as a pkg name, I'm not married to using dbus-qt3.
Comment 1 Kevin Kofler 2008-01-22 17:24:07 EST
This release is from October 30, the OpenSUSE folks apply a patch to update 
this to the latest from KDE SVN to their package, I think we want that patch. 
(It's probably what's needed to get knetworkmanager actually buildind.)
Comment 2 Dennis Gilmore 2008-01-22 17:46:06 EST
rpmlint /var/lib/mock//fedora-8-x86_64/result/*rpm
dbus-qt3.src: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 8)
dbus-qt3-devel.x86_64: W: no-documentation


builds fine in mock

sha1sum libdbus-1-qt3-0.8.tar.gz ../SOURCES/libdbus-1-qt3-0.8.tar.gz 8.tar.gz
5f25a1e63a9e93c2e9f2fb5e9976c0153815c02f  libdbus-1-qt3-0.8.tar.gz
5f25a1e63a9e93c2e9f2fb5e9976c0153815c02f  ../SOURCES/libdbus-1-qt3-0.8.tar.gz

source matches upstream
Comment 3 Rex Dieter 2008-01-22 19:34:16 EST
Re: comment #1, Kevin, I tried with and without the suse patches, and it didn't
seem to make a difference (ie, it failed exactly the same way).
Comment 4 Rex Dieter 2008-01-26 17:33:14 EST
Dennis, were there any (other) issues as part of this review?
Comment 5 Dennis Gilmore 2008-01-27 11:26:58 EST
Rex I did not see any other issues.
Comment 6 Kevin Kofler 2008-01-27 11:41:14 EST
Then can you please set it to approved?
Comment 7 Dennis Gilmore 2008-01-27 12:00:25 EST
No,

There were some issues while minor have not been addressed
Comment 8 Kevin Kofler 2008-01-27 12:07:51 EST
Well, let's address the issues then. ;-)

> dbus-qt3.src: W: mixed-use-of-spaces-and-tabs (spaces: line 2, tab: line 8)

Since when has this been a blocker?!

> dbus-qt3-devel.x86_64: W: no-documentation

If there's no documentation to ship, then what are you expecting Rex to do 
about this? The only documentation which is sort-of required is COPYING (and 
even that is a SHOULD item), and that's already shipped in the main package, 
along with README, AUTHORS and ChangeLog.
Comment 9 Dennis Gilmore 2008-01-27 12:36:41 EST
I would like to see the COPYING file in devel and while the mixed tabs spaces
is not critical  its nice to have fixed.  So i would like it fixed.
Comment 10 Rex Dieter 2008-01-27 21:32:30 EST
I'll fix these np, but I'm curious to why you want COPYING in -devel (too?),
in addition or instead of in the main pkg?
Comment 11 Rex Dieter 2008-01-27 21:36:30 EST
Spec URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/dbus-qt3/dbus-
SRPM URL: http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/dbus-qt3/dbus-

%changelog
* Sun Jan 27 2008 Rex Dieter <rdieter@fedoraproject.org> 0.8-2
- Provides: libdbus-1-qt3(-devel)
- fix mixed tabs/spaces
- -devel: %%doc COPYING

Comment 12 Rex Dieter 2008-01-28 08:52:38 EST
hrm, looks like my urls got truncated, let's try again:
Spec URL: 
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/dbus-qt3/dbus-qt3.spec
SRPM URL: 
http://kdeforge.unl.edu/apt/kde-redhat/SOURCES/dbus-qt3/dbus-qt3-0.8-2.src.rpm
Comment 13 Dennis Gilmore 2008-01-28 09:11:53 EST
Looks good now.

Approved
Comment 14 Rex Dieter 2008-01-28 09:54:39 EST
New Package CVS Request
=======================
Package Name: dbus-qt3
Short Description: Qt3 DBus Bindings
Owners: rdieter
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes

(anyone interested in comaintaining, great, feel free to add yourself throug 
pkgdb)
Comment 15 Dennis Gilmore 2008-01-28 10:33:52 EST
CVS done
Comment 16 Rex Dieter 2008-01-28 10:57:58 EST
importing, and building now.

Note You need to log in before you can comment on or make changes to this bug.